eric ide

Issue48

Classification
Title: Eric doesn't fit in my screen
Type: behavior Product: eric4
Process
Priority: critical    
Status: closed Resolution: accepted
Superseder: Nosy List: detlev, kdebugs
Assigned to: detlev Keywords:

Created on 2012-01-09.05:52:42 by kdebugs, last changed by kdebugs.

Files
File Name Uploaded Description Remove
snapshot1_eric.png kdebugs, 2012-01-14.15:03:36
Messages (9.0)
msg167 (view) Author: kdebugs Date: 2012-01-14.17:55:03
Hi Detlev,

Moving the toolbars around did the trick. I would've never though of this, as
most apps I've used shift the toolbars around when they don't fit (or add a
button to show the rest of them).

Thanks for your help and for keeping on top of this.

Alex
msg166 (view) Author: detlev Date: 2012-01-14.16:41:05
Did you try to reorganize the tool bars (e.g. hide the quick search bar or move
them to the left or right side or the second row)?
msg165 (view) Author: kdebugs Date: 2012-01-14.15:03:36
Hi, Here's the screenshot.

Alex
msg164 (view) Author: detlev Date: 2012-01-13.18:53:10
I would need a screenshot to get an idea what might cause to not being shrinkable.
msg163 (view) Author: kdebugs Date: 2012-01-10.23:53:38
Hi,

Removed it and installed the latest version. The problem persists. I can make
the window bigger, but not smaller.

I ran it from a terminal in case there were error messages worth capturing.
Here's the output I got:

alex@mona ~/Downloads/eric4-4.4.19 $ eric4
Warning: translation file 'qt_en_US'could not be loaded.
Using default.
Warning: translation file 'eric4_en_US'could not be loaded.
Using default.
Warning: translation file 'qscintilla_en_US'could not be loaded.
Using default.

I don't think the above messages are critical, from the little I've read, but
you're the expert...

Thanks!

Alex

PS: not sure that I mentioned it but this is on an asus eee pc with a 1024 x 600
screen.
msg162 (view) Author: detlev Date: 2012-01-10.18:07:10
The latest eric4 version as of today is 4.4.19. eric4 is the variant of the IDE
to be used with Python2. eric5 is the Python3 port and is the one that is most
actively developed (i.e. new features added).

To develop TurboGears applications I highly recommend to use eric4 because eric5
does not come with a TurboGears plug-in. Except from this it is very well
possible to install Python2 and Python3 in parallel as well as to install eric4
and eric5 in parallel.
msg161 (view) Author: kdebugs Date: 2012-01-10.03:04:48
Hi Detlev,

I downloaded Eric4-4.4.15 (r4034).

OS is Mint 12 Lisa 32bit
Desktop: kde 4.7.3
Python: 2.7

I used synaptic to install eric, so I was assuming it's the highest version I
can run with my current environment.

I realize that eric5's out, but I don't know if I can use Python 3 with
Turbogears or whether I can have two versions of Python installed side by side
in my system.

Thank you!

Alex
msg157 (view) Author: detlev Date: 2012-01-09.18:23:18
Are you using the latest version? I just tried it on my system and I am able to
resize it to way below 1024 pixels. There was an issue that was fixed fairly
recently (in Nov. last year).
msg155 (view) Author: kdebugs Date: 2012-01-09.05:52:42
When I open eric4 in my eeepc (I think the screen's 1024x600) eric's wider than
my desktop. Can't make it smaller, so aparently there's some min window size
limit set by the program and, of course, it doesn't fit in my monitor.

THanks

Alex
History
Date User Action Args
2012-01-14 17:55:38kdebugssetstatus: open -> closed
resolution: accepted
2012-01-14 17:55:03kdebugssetmessage_count: 8.0 -> 9.0
messages: + msg167
2012-01-14 16:41:05detlevsetmessage_count: 7.0 -> 8.0
messages: + msg166
2012-01-14 15:03:36kdebugssetfiles: + snapshot1_eric.png
message_count: 6.0 -> 7.0
messages: + msg165
2012-01-13 18:53:10detlevsetmessage_count: 5.0 -> 6.0
messages: + msg164
2012-01-10 23:53:38kdebugssetstatus: pending -> open
message_count: 4.0 -> 5.0
messages: + msg163
2012-01-10 18:07:10detlevsetstatus: open -> pending
message_count: 3.0 -> 4.0
messages: + msg162
2012-01-10 03:04:48kdebugssetstatus: pending -> open
message_count: 2.0 -> 3.0
messages: + msg161
2012-01-09 18:23:18detlevsetstatus: new -> pending
assignedto: detlev
messages: + msg157
message_count: 1.0 -> 2.0
nosy: + detlev
2012-01-09 05:52:42kdebugscreate